Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml
Class ExecutionContextImpl

    java.lang.Object
      org.eclipse.m2m.qvt.oml.ExecutionContextImpl

All Implemented Interfaces:
  ExecutionContext

    public final class ExecutionContextImpl

extends java.lang.Object
implements ExecutionContext

Execution context implementation.

Since:
  2.0
See Also:
  `TransformationExecutor`

Constructor Summary
`ExecutionContextImpl()` Constructs a default context for execution.

Method Summary
`java.lang.Object` | `getConfigProperty(java.lang.String name)` Get the value of the specified configuration property which was set to this context.
`java.util.Set<java.lang.String>` | `getConfigPropertyNames()` Gets read-only view of the names of the configuration properties that are set in this context
`Log` | `getLog()` Gets the logger implementation assigned to this context.
`EvaluationMonitor` | `getMonitor()` Gets the evaluation monitor assigned to this context.
`void` | `setConfigProperty(java.lang.String name, java.lang.Object value)` Sets the value object for the given configuration property
`void` | `setLog(Log log)` Sets the log implementation to this context.
`void` | `setMonitor(EvaluationMonitor monitor)` Set evaluation monitor to this context

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecutionContextImpl

    public ExecutionContextImpl()

  Constructs a default context for execution.

Method Detail

### getConfigProperty

    public java.lang.Object getConfigProperty(java.lang.String name)

  Description copied from interface: `ExecutionContext`
  Get the value of the specified configuration property which was set to this context.

  Specified by:
    `getConfigProperty` in interface `ExecutionContext`
  Parameters:
    `name` - the name of the configuration property
  Returns:
    the value assigned to the queried property. Remark: It's possible that `null` is returned in the following cases:
    - no property of the given name has been set
    - `null` value has been explicitly set
    The client can distinguish the cases above by using `ExecutionContext.getConfigPropertyNames()`

### setConfigProperty

    public void setConfigProperty(java.lang.String name,
                                  java.lang.Object value)

  Sets the value object for the given configuration property

  Parameters:
    `name` - the name of the property, never `null`
    `value` - the value object

### getConfigPropertyNames

    public java.util.Set<java.lang.String> getConfigPropertyNames()

  Description copied from interface: `ExecutionContext`
  Gets read-only view of the names of the configuration properties that are set in this context

  Specified by:
    `getConfigPropertyNames` in interface `ExecutionContext`
  Returns:
    set of the name strings in undefined order

### setLog

    public void setLog(Log log)

  Sets the log implementation to this context.

  Parameters:
    `log` - the log implementation, never `null`

### getLog

    public Log getLog()

  Description copied from interface: `ExecutionContext`
  Gets the logger implementation assigned to this context.

  Specified by:
    `getLog` in interface `ExecutionContext`
  Returns:
    the logger instance, never `null`

### getMonitor

    public EvaluationMonitor getMonitor()

  Description copied from interface: `ExecutionContext`
  Gets the evaluation monitor assigned to this context. The execution engine will query the monitor the check for the user interruption request.

  Specified by:
    `getMonitor` in interface `ExecutionContext`
  Returns:
    the monitor implementation, never `null`

### setMonitor

    public void setMonitor(EvaluationMonitor monitor)

  Set evaluation monitor to this context

  Parameters:
    `monitor` - the monitor implementation, never `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD